ip_defrag.sh in net from ubuntu_kernel_selftests ADT failure with focal/linux

Bug #1892070 reported by Kleber Sacilotto de Souza
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Fix Released
Undecided
Unassigned
linux (Ubuntu)
Fix Released
Undecided
Unassigned
Focal
Fix Released
Undecided
Unassigned

Bug Description

Testing failed on focal/linux 5.4.0-44.48:
    amd64: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-focal/focal/amd64/l/linux/20200812_171444_31971@/log.gz
    arm64: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-focal/focal/arm64/l/linux/20200812_210509_145fd@/log.gz
    ppc64el: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-focal/focal/ppc64el/l/linux/20200812_165855_1dabd@/log.gz
    s390x: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-focal/focal/s390x/l/linux/20200812_153600_9c7cb@/log.gz

ip_defrag.sh fails with return code 255 without any output. Commenting the "set +x" line from the script and running it we get:

$ sudo bash -x ./ip_defrag.sh
+ set -e
++ mktemp -u XXXXXX
+ readonly NETNS=ns-2Wn99i
+ NETNS=ns-2Wn99i
+ trap cleanup EXIT
+ setup
+ ip netns add ns-2Wn99i
+ ip -netns ns-2Wn99i link set lo up
+ ip netns exec ns-2Wn99i sysctl -w net.ipv4.ipfrag_high_thresh=9000000
+ ip netns exec ns-2Wn99i sysctl -w net.ipv4.ipfrag_low_thresh=7000000
+ ip netns exec ns-2Wn99i sysctl -w net.ipv4.ipfrag_time=1
+ ip netns exec ns-2Wn99i sysctl -w net.ipv6.ip6frag_high_thresh=9000000
+ ip netns exec ns-2Wn99i sysctl -w net.ipv6.ip6frag_low_thresh=7000000
+ ip netns exec ns-2Wn99i sysctl -w net.ipv6.ip6frag_time=1
+ ip netns exec ns-2Wn99i sysctl -w net.netfilter.nf_conntrack_frag6_high_thresh=9000000
+ cleanup
+ ip netns del ns-2Wn99i

Running these manually we get the following error:

$ sudo ip netns exec ns-2Wn99i sysctl -w net.netfilter.nf_conntrack_frag6_high_thresh=9000000
sysctl: cannot stat /proc/sys/net/netfilter/nf_conntrack_frag6_high_thresh: No such file or directory

This happens because this step needs the 'nf_defrag_ipv6' module to be loaded.

This has always failed like this with the ADT tests but not always with our Regression Tests. I suspect that on Regression Tests there might be another testcase that's run before it that loads this module.

tags: added: kernel-adt-failure
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1892070

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
summary: - linux 5.4.0-44.48 ADT test failure with linux 5.4.0-44.48
+ ip_defrag.sh in net from ubuntu_kernel_selftests ADT failure with
+ focal/linux
Changed in linux (Ubuntu Focal):
status: New → Confirmed
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
description: updated
Po-Hsu Lin (cypressyew)
tags: added: 5.4 focal sru-20200810 ubuntu-kernel-selftests
description: updated
Revision history for this message
Po-Hsu Lin (cypressyew) wrote :

Patch applied in Focal kernel
625247c91d94 ("selftests: net: ip_defrag: modprobe missing nf_defrag_ipv6 support")
$ git tag --contain 625247c91d9453d24ff035ee5bfcf34375208782
Ubuntu-5.4.0-46.50

Changed in linux (Ubuntu Focal):
status: Confirmed → Fix Released
Revision history for this message
Po-Hsu Lin (cypressyew) wrote :

Need to check if this is still failing on B-hwe-5.3, looks like this is affected.

Revision history for this message
Po-Hsu Lin (cypressyew) wrote :

As 5.3 does not exist anymore, I am going to close this bug.

Changed in ubuntu-kernel-tests:
status: New → Fix Committed
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.